ldconfig(8)

NOMBRE

/sbin/ldconfig - configurar vínculos del enlazador dinámico en tiempo de ejecución

SINOPSIS
/sbin/ldconfig [ -nNvXV ] [ -f conf ] [ -C caché ] [ -r raíz ] directorio ...
/sbin/ldconfig -l [ -v ] biblioteca ...
/sbin/ldconfig -p

DESCRIPCIÓN
ldconfig crea los vínculos y caché necesarios a las bibliotecas compartidas más recientes que se encuentren en los directorios especificados en la línea de órdenes, en el archivo /etc/ld.so.conf, y en los directorios de confianza (/lib y /usr/lib). La caché es utilizada por el enlazador en tiempo de ejecución, ld.so o ld-linux.so. ldconfig comprueba la cabecera y los nombres de fichero de las bibliotecas que va encontrando cuando determina qué versiones deberían actualizar sus vínculos.

ldconfig intentará deducir el tipo de bibliotecas ELF (o sea, libc5 o libc6/glibc) basado en las bibliotecas C, si existen, contra las que la biblioteca fue enlazada. Por tanto, cuando se construyan bibliotecas dinámicas, es mejor enlazar explícitamente contra libc (utilice -lc).

Algunas bibliotecas en uso no contienen suficiente información para permitir deducir su tipo. Por tanto, el formato del fichero /etc/ld.so.conf permite especificar el tipo esperado. Esto sólo se usa en aquellas bibliotecas ELF que no puedan ser tratadas de otra forma. El formato es "dirname=TIPO", donde TIPO puede ser libc4, libc5, o libc6. (Esta sintaxis también funciona en la línea de órdenes.) Los espacios no están permitidos. Véase también la opción -p . ldconfig normalmente debería ejecutarse por el super-usuario ya que puede ser necesario el permiso de escritura sobre algunos directorios y ficheros cuyo propietario es root.

OPCIONES

-v  Modo verboso. Imprime el número de versión actual, el nombre de cada directorio a medida que se examina, y los enlaces que se crean. Tiene preferencia sobre el modo silencioso.

-n  Procesa sólo los directorios especificados en la línea de órdenes. No procesa los directorios de confianza (/lib y /usr/lib) ni los especificados en /etc/ld.so.conf. Implica -N.

-N  No reconstruir la caché. A menos que se especifique también -X , los vínculos sí son actualizados.

-X  No actualizar los vínculos. A menos que se especifique también -N , la caché sí es reconstruida.

-f conf
    Utiliza conf en vez de /etc/ld.so.conf.

-C caché
    Utiliza caché en vez de /etc/ld.so.cache.

-r raíz
    Cambia al directorio raíz y lo utiliza como directorio raíz.

-l  Modo biblioteca. Crea vínculos manualmente en bibliotecas individuales. Se pretende que se use sólo por expertos.

-p  Imprime las listas de directorios y bibliotecas candidatas almcenadas en la caché actual.

FICHEROS
/lib/ld.so
    enlazador/cargador en tiempo de ejecución
/etc/ld.so.conf
    Fichero que contiene una lista de directorios, separados por dos puntos (:), espacio, tabulaciones, saltos de línea o comas, en los cuales se buscan las bibliotecas.
/etc/ld.so.cache
    Fichero que contiene una lista ordenada de bibliotecas encontradas en los directorios especificados en /etc/ld.so.conf.